# Class PlayerDurationChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - PlayerDurationChangedEvent

#####
Index

### Constructors

constructor

### Properties

duration
type

## Constructors

### constructor

- new PlayerDurationChangedEvent(duration): PlayerDurationChangedEvent

- #### Parameters

  - duration: number

  #### Returns PlayerDurationChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` duration

duration: number

### `Readonly` type

type: "playerDurationChanged" = Events.PlayerDurationChanged

Overrides BasePlayerEvent.type